<template>
    <footer class="footer">
        <div class="container">
            <div class="footer-wrapper">
                <div class="footer-topline flex jcsb">
                    <div class="col col-logo-links flex aifs fdc">
                        <a href="/" class="logo"></a>
                        <div class="links flex aic">
                            <router-link
                                v-for="(navItem, idx) in nav"
                                v-if="navItem.enabled"
                                :key="idx"
                                :to="navItem.link"
                                class="item"
                                :class="[...navItem.classes]"
                            >{{ navItem.name.en }}</router-link>
                        </div>
                        <div class="socials flex aic">
                            <a v-if="facebookUrl" :href="facebookUrl" class="item item-fb"></a>
                            <a v-if="instagramUrl" :href="instagramUrl" class="item item-inst"></a>
                        </div>


                        <div class="footer__age"><span>18+</span> Please, play responsibly</div>
                        <div class="footer-section footer-copy" v-html="copyrightText"></div>
                    </div>
                    <div class="col col-about">
                        <div class="title">About Us</div>
                        <div class="text" v-html="footerText"></div>
                    </div>
                </div>
                <div class="footer-section footer-tags" v-html="preFooterText"></div>
            </div>
        </div>
    </footer>
</template>

<script>
export default {
    name: 'SiteFooter',
    computed: {
        nav() {
            return this.$root.menus.main_menu
        },
        copyrightText() {
            return this.$root.text_blocks[0]?.content || ''
        },
        footerText() {
            return this.$root.text_blocks[1]?.content || ''
        },
        preFooterText() {
            return this.$root.text_blocks[2]?.content || ''
        },
        facebookUrl() {
            return this.$root.facebook_url ? this.$root.facebook_url : false
        },
        instagramUrl() {
            return this.$root.instagram_url ? this.$root.instagram_url : false
        }
    }
}
</script>
